classification
Title: shutil.copy documentation should clarify support for path-like objects
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.10, Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Jonatan Skogsfors, ZackerySpytz, docs@python, methane, miss-islington, steve.dower, xtreak
Priority: normal Keywords: patch

Created on 2020-08-27 09:53 by Jonatan Skogsfors, last changed 2020-10-21 05:16 by methane. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 22208 merged ZackerySpytz, 2020-09-12 00:09
PR 22243 merged miss-islington, 2020-09-14 19:29
PR 22244 merged miss-islington, 2020-09-14 19:29
Messages (6)
msg375983 - (view) Author: Jonatan Skogsfors (Jonatan Skogsfors) Date: 2020-08-27 09:53
In the 3.8.5 documentation for shutil.copy it says that "src and dst should be strings". However, the implementation doesn't seem to have any problem with path objects.
msg375987 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2020-08-27 11:54
copy uses copyfile and copymode. Both were updated to support path-like objects in https://github.com/python/cpython/pull/15141 . It makes sense to update copy's documentation too.
msg376892 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2020-09-14 19:29
New changeset 8f2b991eef062c22c429a96983c78be007180b66 by Zackery Spytz in branch 'master':
bpo-41646: Mention path-like objects support in the docs for shutil.copy() (GH-22208)
https://github.com/python/cpython/commit/8f2b991eef062c22c429a96983c78be007180b66
msg376894 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2020-09-14 19:31
Thanks!
msg379191 - (view) Author: Inada Naoki (methane) * (Python committer) Date: 2020-10-21 05:16
New changeset 6443a8ccc886749f5e83a8ca073006742b605d90 by Miss Skeleton (bot) in branch '3.8':
bpo-41646: Mention path-like objects support in the docs for shutil.copy() (GH-22208)
https://github.com/python/cpython/commit/6443a8ccc886749f5e83a8ca073006742b605d90
msg379192 - (view) Author: Inada Naoki (methane) * (Python committer) Date: 2020-10-21 05:16
New changeset 19019eccdeeb8dea027bd7766ca9fe2892972da4 by Miss Skeleton (bot) in branch '3.9':
bpo-41646: Mention path-like objects support in the docs for shutil.copy() (GH-22208)
https://github.com/python/cpython/commit/19019eccdeeb8dea027bd7766ca9fe2892972da4
History
Date User Action Args
2020-10-21 05:16:50methanesetmessages: + msg379192
2020-10-21 05:16:29methanesetnosy: + methane
messages: + msg379191
2020-09-14 19:31:13steve.dowersetstatus: open -> closed
resolution: fixed
messages: + msg376894

stage: patch review -> resolved
2020-09-14 19:29:12miss-islingtonsetpull_requests: + pull_request21299
2020-09-14 19:29:08steve.dowersetmessages: + msg376892
2020-09-14 19:29:03miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request21298
2020-09-12 00:09:30ZackerySpytzsetkeywords: + patch
nosy: + ZackerySpytz

pull_requests: + pull_request21263
stage: patch review
2020-08-27 11:54:16xtreaksetnosy: + xtreak, steve.dower
title: Outdated shutil.copy documentation -> shutil.copy documentation should clarify support for path-like objects
messages: + msg375987

versions: + Python 3.9, Python 3.10
type: behavior
2020-08-27 09:53:46Jonatan Skogsforscreate